<script>
  $(document).ready(function(){
    $("#add_tag_link").click(function(){
        if ($("#add_tag").css("display")=="none"){
            $("#add_tag").show("slow");
        } else {
            $("#add_tag").hide("slow");
        }
    })
  })
</script>

<% if session[:is_admin] %>
    <div style="float:right">
      <% btn = @parallel.is_good? ? "Unlike" : "Like" %>
      <%= button_to btn, { :action => "like", :id => @parallel.id }, :confirm => "Really?"  %>
      <%= button_to "Delete", { :action => "destroy", :id => @parallel.id }, :confirm => "Are you sure?", :method => :delete  %>
    </div>
<% end %>

<h3 style="padding: 10px 0px 10px 10px"><%= @parallel.name %></h3>
<div style="padding-left:20px;">
    <div class="small">
        <%= time_ago_in_words @parallel.created_at %> ago<br/>
        <%= @parallel.views %> views<br/>
    </div>

    Tags:
    <% @parallel.tags.each do |tag| %>
        <%= link_to_tag tag %> |
    <% end  %>
    <a href="#" id="add_tag_link">+ Add Tag</a>

    <div id="add_tag" style="display:none;">
        <% form_tag '/tags', :method => :post do -%>
          <%= hidden_field_tag("parallel_id", @parallel.id) %>
          <%= text_field_tag :tag_name %>
          <%= submit_tag "Add" %>
        <% end %>
    </div>
    <br>

    <%= render :partial => "parallel" %>
</div>